# Rules

[English](./README.md) | **日本語**

- *Style コードスタイル*
	- [indentation](./markuplint-rule-indentation/README.ja.md) インデント (🚧 WIP)
	- [self-closing-tag](./markuplint-rule-self-closing-tag/README.ja.md) タグの自己終了 (🚧 WIP)
	- [omitted-closing-tag](./markuplint-rule-omitted-closing-tag/README.ja.md) 終了タグの省略 (🚧 WIP)
	- [attr-value-quotes](./markuplint-rule-attr-value-quotes/README.ja.md) クォーテーションマーク (🚧 WIP)
	- [case-sensitive-tag-name](./markuplint-rule-case-sensitive-tag-name/README.ja.md) タグ名の大文字小文字 (🚧 WIP)
	- [case-sensitive-attr-name](./markuplint-rule-case-sensitive-attr-name/README.ja.md) 属性名の大文字小文字
	- [attr-spasing](./markuplint-rule-attr-spasing/README.ja.md) 属性の前後のスペース (🚧 WIP)
	- [attr-equal-spasing](./markuplint-rule-attr-equal-spasing/README.ja.md) 属性の=の前後のスペース (🚧 WIP)
	- [multiline-tag](./markuplint-rule-multiline-tag/README.ja.md) タグ内の改行 (🚧 WIP)
	- [multiline-attr](./markuplint-rule-multiline-attr/README.ja.md) タグ内の属性の改行 (🚧 WIP)
	- [indentation-attr](./markuplint-rule-indentation-attr/README.ja.md) (🚧 WIP)
	- [void-element-closing](./markuplint-rule-void-element-closing/README.ja.md) 空属性 (🚧 WIP)
	- [comment-spasing](./markuplint-rule-comment-spasing/README.ja.md) コメントのスペース (🚧 WIP)
	- [path](./markuplint-rule-path/README.ja.md) パスの相対パス・ルート相対パス・絶対パス (🚧 WIP)
	- [data-attr-naming](./markuplint-rule-data-attr-naming/README.ja.md) data-*属性名 (🚧 WIP)
	- [event-attr](./markuplint-rule-event-attr/README.ja.md) on*属性名 (🚧 WIP)
- *Validation バリデーション*
	- [character-reference](./markuplint-rule-character-reference/README.ja.md) 文字参照 (🚧 WIP)
	- [doctype](./markuplint-rule-doctype/README.ja.md) ドキュメントタイプ (🚧 WIP)
	- [required-element](./markuplint-rule-required-element/README.ja.md) 必須要素 (🚧 WIP)
	- [deprecated-element](./markuplint-rule-deprecated-element/README.ja.md) 非推奨要素 (🚧 WIP)
	- [permitted-contents](./markuplint-rule-permitted-contents/README.ja.md) 許可するコンテンツ (🚧 WIP)
	- [permitted-role](./markuplint-rule-permitted-role/README.ja.md) 許可するロール (🚧 WIP)
	- [attr-duplication](./markuplint-rule-attr-duplication/README.ja.md) 属性の重複
	- [required-attr](./markuplint-rule-required-attr/README.ja.md) 必須属性 (🚧 WIP)
	- [deprecated-attr](./markuplint-rule-deprecated-attr/README.ja.md) 非推奨属性 (🚧 WIP)
	- [deprecated-global-attr](./markuplint-rule-deprecated-global-attr/README.ja.md) 非推奨グローバル属性 (🚧 WIP)
	- [deprecated-aria-attr](./markuplint-rule-deprecated-aria-attr/README.ja.md) 非推奨aria属性 (🚧 WIP)
	- [id-duplication](./markuplint-rule-id-duplication/README.ja.md) idの重複 (🚧 WIP)
	- [comment](./markuplint-rule-comment/README.ja.md) コメント (🚧 WIP)
- *Usability ユーザビリティ*
	- [external-link](./markuplint-rule-external-link/README.ja.md) 外部リンク (🚧 WIP)
- *Accessibility アクセシビリティ*
	- [required-h1](./markuplint-rule-required-h1/README.ja.md) h1 (🚧 WIP)
	- [heading-levels-skipping](./markuplint-rule-heading-levels-skipping/README.ja.md) レベルのスキップ (🚧 WIP)
	- [heading-in-sectioning-content](./markuplint-rule-heading-in-sectioning-content/README.ja.md) セクショニング・コンテンツ (🚧 WIP)
	- [heading-in-sectioning-root](./markuplint-rule-heading-in-sectioning-root/README.ja.md) セクショニング・ルート (🚧 WIP)
	- [landmark-roles](./markuplint-rule-landmark-roles/README.ja.md) ランドマークロール (🚧 WIP)
	- [labels](./markuplint-rule-labels/README.ja.md) aria-label/aria-labeledby (🚧 WIP)
	- [empty-alt-attr](./markuplint-rule-empty-alt-attr/README.ja.md) 空のalt属性 (🚧 WIP)
	- [role-structure-tab](./markuplint-rule-role-structure-tab/README.ja.md) tabロールの構造 (🚧 WIP)
- *Performance パフォーマンス*
	- [async-attr-in-script](./markuplint-rule-async-attr-in-script/README.ja.md) script要素のasync属性 (🚧 WIP)
- *CSS Designing CSS設計*
	- [class-naming](./markuplint-rule-class-naming/README.ja.md) クラス名 (🚧 WIP)
	- [required-class-elements](./markuplint-rule-required-class-elements/README.ja.md) クラスの有無 (🚧 WIP)
	- bem/markuplint-rule-bem-rule-nesting BEMの入れ子関係
	- bem/markuplint-rule-bem-rule-block BEMのBlockの要素名/クラス名/属性
	- bem/markuplint-rule-bem-rule-element BEMのElementのクラス名/属性
	- bem/markuplint-rule-bem-rule-modifier BEMのModifierのクラス名/属性
- *Custom Elements カスタム要素*
	- [custom-element-naming](./markuplint-rule-custom-element-naming/README.ja.md) 要素名 (🚧 WIP)
- *AMP*
	- amp/markuplint-rule-amp-validation AMP Validation by https://www.npmjs.com/package/amphtml-validator
- *Template Engine テンプレートエンジン*
	- php/markuplint-rule-ignore-php-code PHPコードの除外
	- vuejs/markuplint-rule-vue-directive Vue.js ディレクティブ属性
