# Rules

**English** | [日本語](./README.ja.md)

- *Style*
	- [🚧 WIP] [indentation](./markuplint-rule-indentation/README.md)
	- [🚧 WIP] [self-closing-tag](./markuplint-rule-self-closing-tag/README.md)
	- [🚧 WIP] [omitted-closing-tag](./markuplint-rule-omitted-closing-tag/README.md)
	- [🚧 WIP] [attr-value-quotes](./markuplint-rule-attr-value-quotes/README.md)
	- [🚧 WIP] [case-sensitive-tag-name](./markuplint-rule-case-sensitive-tag-name/README.md)
	- [case-sensitive-attr-name](./markuplint-rule-case-sensitive-attr-name/README.md)
	- [🚧 WIP] [attr-spasing](./markuplint-rule-attr-spasing/README.md)
	- [🚧 WIP] [attr-equal-spasing](./markuplint-rule-attr-equal-spasing/README.md)
	- [🚧 WIP] [multiline-tag](./markuplint-rule-multiline-tag/README.md)
	- [🚧 WIP] [multiline-attr](./markuplint-rule-multiline-attr/README.md)
	- [🚧 WIP] [indentation-attr](./markuplint-rule-indentation-attr/README.md)
	- [🚧 WIP] [void-element-closing](./markuplint-rule-void-element-closing/README.md)
	- [🚧 WIP] [comment-spasing](./markuplint-rule-comment-spasing/README.md)
	- [🚧 WIP] [path](./markuplint-rule-path/README.md)
	- [🚧 WIP] [data-attr-naming](./markuplint-rule-data-attr-naming/README.md)
	- [🚧 WIP] [event-attr](./markuplint-rule-event-attr/README.md)
- *Validation*
	- [🚧 WIP] [character-reference](./markuplint-rule-character-reference/README.md)
	- [🚧 WIP] [doctype](./markuplint-rule-doctype/README.md)
	- [🚧 WIP] [required-element](./markuplint-rule-required-element/README.md)
	- [🚧 WIP] [deprecated-element](./markuplint-rule-deprecated-element/README.md)
	- [🚧 WIP] [permitted-contents](./markuplint-rule-permitted-contents/README.md)
	- [🚧 WIP] [permitted-role](./markuplint-rule-permitted-role/README.md)
	- [attr-duplication](./markuplint-rule-attr-duplication/README.md)
	- [🚧 WIP] [required-attr](./markuplint-rule-required-attr/README.md)
	- [🚧 WIP] [deprecated-attr](./markuplint-rule-deprecated-attr/README.md)
	- [🚧 WIP] [deprecated-global-attr](./markuplint-rule-deprecated-global-attr/README.md)
	- [🚧 WIP] [deprecated-aria-attr](./markuplint-rule-deprecated-aria-attr/README.md)
	- [🚧 WIP] [id-duplication](./markuplint-rule-id-duplication/README.md)
	- [🚧 WIP] [comment](./markuplint-rule-comment/README.md)
- *Usability*
	- [🚧 WIP] [external-link](./markuplint-rule-external-link/README.md)
- *Accessibility*
	- [🚧 WIP] [required-h1](./markuplint-rule-required-h1/README.md)
	- [🚧 WIP] [heading-levels-skipping](./markuplint-rule-heading-levels-skipping/README.md)
	- [🚧 WIP] [heading-in-sectioning-content](./markuplint-rule-heading-in-sectioning-content/README.md)
	- [🚧 WIP] [heading-in-sectioning-root](./markuplint-rule-heading-in-sectioning-root/README.md)
	- [🚧 WIP] [landmark-roles](./markuplint-rule-landmark-roles/README.md)
	- [🚧 WIP] [labels](./markuplint-rule-labels/README.md)
	- [🚧 WIP] [empty-alt-attr](./markuplint-rule-empty-alt-attr/README.md)
	- [🚧 WIP] [role-structure-tab](./markuplint-rule-role-structure-tab/README.md)
- *Performance*
	- [🚧 WIP] [async-attr-in-script](./markuplint-rule-async-attr-in-script/README.md)
- *CSS Designing*
	- [🚧 WIP] [class-naming](./markuplint-rule-class-naming/README.md)
	- [🚧 WIP] [required-class-elements](./markuplint-rule-required-class-elements/README.md)
	- bem/markuplint-rule-bem-rule-nesting
	- bem/markuplint-rule-bem-rule-block
	- bem/markuplint-rule-bem-rule-element
	- bem/markuplint-rule-bem-rule-modifier
- *Custom Elements*
	- [🚧 WIP] [custom-element-naming](./markuplint-rule-custom-element-naming/README.md)
- *AMP*
	- amp/markuplint-rule-amp-validation AMP Validation by https://www.npmjs.com/package/amphtml-validator
- *Template Engine*
	- php/markuplint-rule-ignore-php-code
	- vuejs/markuplint-rule-vue-directive
